#!/bin/bash

log() {
	echo $1
	me=`basename "$0"`
	logger "[${me}]: ${1}"
}

# Check that we have a valid PID
PID=$1
if [[ -z ${PID} || ${#PID} -ne 4 ]]; then
	log "Invalid PID supplied. ($PID)"
	exit 1
fi
log "Starting data extraction scirpt on action '${ACTION}' with PID $1"
dir=$(dirname $0)
(${dir}/collector.sh ${DEVNAME} ${DEVNUM} $PID) & disown
